package ru.dbotthepony.kstarbound.util

import java.util.function.Supplier

fun interface FloatSupplier : Supplier<Float> {
	@Deprecated("Use type specific method instead", replaceWith = ReplaceWith("this.getAsFloat()"))
	override fun get(): Float {
		return getAsFloat()
	}

	fun getAsFloat(): Float
}